#!/usr/bin/env python
import socket
import os

s = socket.socket(socket.AF_INET, socket.SOCK_STREAM) # create socket
s.bind(("0.0.0.0",12345))   # binding port
s.listen(1) # listening for only one client

print("I am listening...")

hostname = socket.gethostname()
our_setting = os.environ['OUR_SETTING']
alt_setting = os.environ['ALT_SETTING']

while True:
    conn,addr=s.accept()
    try:
        conn.send(bytes(hostname + "\n", encoding='ASCII'))
        conn.send(bytes("OUR_SETTING: %s\n" % our_setting, encoding='ASCII'))
        conn.send(bytes("ALT_SETTING: %s" % alt_setting, encoding='ASCII'))
        conn.shutdown(socket.SHUT_WR)
        conn.recv(2048)
    except:
        pass
    conn.close()
